OpenTTD Source: TileInfo Struct Reference

OpenTTD Source 15.3

Data Fields
TileInfo Struct Reference

Tile information, used while rendering the tile. More...

`#include <tile_cmd.h>`

Inheritance diagram for TileInfo:

## Data Fields
Slope | tileh
| Slope of the tile.
TileIndex | tile
| Tile index.
Data Fields inherited from Coord3D< int >
int | x
| X coordinate.
int | y
| Y coordinate.
int | z
| Z coordinate.

## Additional Inherited Members
Public Member Functions inherited from Coord3D< int >
constexpr | Coord3D (int x, int y, int z)

## Detailed Description

Tile information, used while rendering the tile.

Definition at line 30 of file tile_cmd.h.

## Field Documentation

## ◆ tile

TileIndex TileInfo::tile

Tile index.

Definition at line 32 of file tile_cmd.h.

Referenced by DrawBridgeMiddle(), DrawCustomStationFoundations(), DrawFoundation(), DrawNewObjectTile(), DrawRailCatenary(), DrawRailCatenaryOnBridge(), DrawRailCatenaryOnTunnel(), DrawRailCatenaryRailway(), DrawRoadBits(), DrawRoadCatenary(), DrawRoadOverlays(), DrawRoadTypeCatenary(), DrawTile_Road(), DrawTile_Town(), DrawTile_TunnelBridge(), DrawTileLayout(), DrawTileSelection(), DrawTileSelectionRect(), DrawTrackBits(), DrawTrackDetails(), DrawWaterDepot(), DrawWaterLock(), DrawWaterTileStruct(), HighlightTownLocalAuthorityTiles(), SplitGroundSpriteForOverlay(), and ViewportAddLandscape().

## ◆ tileh

Slope TileInfo::tileh

Slope of the tile.

Definition at line 31 of file tile_cmd.h.

Referenced by DrawAutorailSelection(), DrawBridgePillars(), DrawCustomStationFoundations(), DrawFoundation(), DrawRailCatenaryRailway(), DrawRoadBits(), DrawRoadDetail(), DrawRoadGroundSprites(), DrawRoadTypeCatenary(), DrawTile_Road(), DrawTile_Town(), DrawTile_TunnelBridge(), DrawTileSelection(), DrawTileSelectionRect(), DrawTrackBits(), DrawTrackDetails(), DrawTrackFence(), DrawTrackFence_NE(), DrawTrackFence_NW(), DrawTrackFence_SE(), DrawTrackFence_SW(), GetRoadGroundSprite(), and ViewportAddLandscape().

The documentation for this struct was generated from the following file:

- src/tile_cmd.h